Quassel IRC - Bug #492

Dropdown nick selector does not follow actual nick
01/20/2009 09:18 PM - billie

Status: Rejected Start date: 01/20/2009
Priority: Normal Due date: 02/16/2009
Assignee: EgS % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Any
Description

When changing the nick with the /nick command the selector does not switch to the new nickname. This also happens after a
network disconnect when quassel switches to an alternative nickname because the old nick has not reached it's timeout.

History

#1 - 01/25/2009 11:55 PM - EgS
- Due date set to 02/16/2009
- Assignee set to EgS

- Target version set to 0.4.0

#2 - 01/26/2009 12:58 AM - EgS

- Status changed from New to Feedback

| just tried to reproduce the issue.
Nick changes triggered by "/nick newNick" were correctly reflected in the nickselector regardless of newNick being a known Nick (in the Identity) or a
random one.

This was probably fixed in:
http://git.quassel-irc.org/?p=quassel.git;a=commitdiff;h=8056d708179608e637f351e975dcc4efe01247d1

Please retest with current git.

#3 - 01/26/2009 01:18 AM - amiconn

Issue is 100% reproducable with Windows client 0.3.1 [+234]. Several earlier Windows versions had it too, but it used to work in December 2008.
Issue is not reproducable on Linux, neither with [+220] nor with [+261].

Test W|th current glt is not possible on Wlndows as there are no builds available. There seem to be build problems on Windows due to

#4 - 01/26/2009 01:52 AM - EgS

amiconn did some more intensive testing with newer and different windows builds and wasn't able to reproduce the issue since.
| don't have a good feeling about this, so this is still open for feedback.

#5 - 01/26/2009 08:11 AM - billie

| pretty much run git head most of the time. Will do some further testing this evening!
#6 - 01/26/2009 08:02 PM - EgS
billie reported on IRC that he wasn't able to reproduce the issue anymore. I'm leaving the report open for a couple of days in case someone comes up

with anything new.

#7 - 02/04/2009 01:23 PM - EgS
- Status changed from Feedback to Rejected

As nobody was able to reproduce this issue. I'm closing this report.
